Subject: Re: [PATCH net-next v6 4/7] net: dsa: hellcreek: Add support for hardware timestamping

From: Kurt Kanzenbach <[email-masked]>
Date: Tue, 06 Oct 2020 08:27:42 +0200

On Sun Oct 04 2020, Vladimir Oltean wrote:
> On Sun, Oct 04, 2020 at 01:29:08PM +0200, Kurt Kanzenbach wrote:
>> +/* Enabling/disabling TX and RX HW timestamping for different PTP messages is
>> + * not available in the switch. Thus, this function only serves as a check if
>> + * the user requested what is actually available or not
>> + */
>
> Correct me if I'm wrong, but to the user it makes zero difference
> whether the hardware takes timestamps or not.

Why not? I think it makes a difference to the user b/o the precision.

> What matters is whether the skb will be delivered to the stack with a
> hardware timestamp or not, so you should definitely accept a
> hwtstamp_config with TX and RX timestamping disabled.
>

Sorry, I cannot follow you here.

Thanks,
Kurt